> ## Documentation Index
> Fetch the complete documentation index at: https://docs.n-3.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Find project by id



## OpenAPI

````yaml get /projects/{id}
openapi: 3.0.0
info:
  title: Naismith Analytics API
  description: The N3 API
  version: '0.1'
  contact: {}
servers: []
security: []
tags: []
paths:
  /projects/{id}:
    get:
      tags:
        - Projects
      summary: Find project by id
      operationId: findOneProject
      parameters:
        - name: id
          required: true
          in: path
          schema:
            format: int64
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectDto'
      security:
        - bearer: []
components:
  schemas:
    ProjectDto:
      type: object
      properties:
        id:
          format: int64
          type: integer
        name:
          type: string
        environment_id:
          format: int64
          type: integer
        project_reference:
          type: string
        project_status:
          type: string
          enum:
            - PENDING
            - IN_PROGRESS
            - DEFECTS_CORRECTION
            - COMPLETED
            - PRE_CONTRACT
            - NOT_YET_SECURED
          example: IN_PROGRESS
          default: PENDING
        address:
          type: string
        postcode:
          type: string
        latitude:
          type: number
        longitude:
          type: number
        description:
          type: string
        site_area:
          type: number
        field_site:
          type: string
        proposed_procurement_structure:
          type: string
          enum:
            - Main Contractor - Design & Build
            - Main Contractor - Traditional (Client with design responsibility)
            - Trades employed directly / with or without design
            - Self build
          example: Main Contractor - Design & Build
          default: Main Contractor - Design & Build
        proposed_procurement_structure_other_specific:
          type: string
        contract_form:
          type: string
        gross_development_value:
          type: number
        total_budget:
          type: number
        loan_facility_budget:
          type: number
        total_gifa:
          type: number
        site_max_floors_above_ground:
          type: number
        site_max_floors_below_ground:
          type: number
      required:
        - id
        - name
        - environment_id
        - project_reference
        - project_status
        - address
        - postcode
        - latitude
        - longitude
        - description
        - site_area
        - field_site
        - proposed_procurement_structure_other_specific
        - contract_form
        - gross_development_value
        - total_budget
        - loan_facility_budget
        - total_gifa
        - site_max_floors_above_ground
        - site_max_floors_below_ground
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````